Bug 1823593 - Console show status "Completed" even the pod container in ImagePullBackOff status
Summary: Console show status "Completed" even the pod container in ImagePullBackOff s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1819598
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-14 01:09 UTC by Yadan Pei
Modified: 2020-05-04 11:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1819598
Environment:
Last Closed: 2020-05-04 11:49:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5043 None open [release-4.4] Bug 1823593: Align console pod status with CLI 2020-04-14 20:07:07 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:41 UTC

Comment 3 Yadan Pei 2020-04-17 03:25:38 UTC
1. Create pod with YAML in comment 0
2. Wait until pods becomes ImagePullBackOff status in CLI
# oc get pods -n yapei44
NAME   READY   STATUS             RESTARTS   AGE
test   1/2     ImagePullBackOff   0          24s
# oc describe pod test -n yapei44
Containers:
  container1:
    Container ID:  
    Image:         busybox_error
    Image ID:      
    Port:          <none>
    Host Port:     <none>
    Command:
      sleep
      1
    State:          Waiting
      Reason:       ImagePullBackOff
    Ready:          False
    Restart Count:  0
    Environment:    <none>
    Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from default-token-92t6j (ro)
  container2:
    Container ID:  cri-o://4df9802f5e3a3f56a760362273b66e636976db8569c86cabe71b0bfaf4eaaf83
    Image:         busybox
    Image ID:      docker.io/library/busybox@sha256:a2490cec4484ee6c1068ba3a05f89934010c85242f736280b35343483b2264b6
    Port:          <none>
    Host Port:     <none>
    Command:
      sleep
      100
    State:          Running
      Started:      Thu, 16 Apr 2020 23:21:36 -0400
    Ready:          True
    Restart Count:  0
    Environment:    <none>
    Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from default-token-92t6j (ro)
3. Check pod status on console, it shows 'ImagePullBackOff' on Pod list page and Pod details page

Verified on     4.4.0-0.nightly-2020-04-16-231032

Comment 5 errata-xmlrpc 2020-05-04 11:49:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.